- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_gridfs_t

# mongoc_gridfs_find_with_opts()

## Synopsis

    mongoc_gridfs_file_list_t *
    mongoc_gridfs_find_with_opts (mongoc_gridfs_t *gridfs,
                                  const bson_t *filter,
                                  const bson_t *opts) BSON_GNUC_WARN_UNUSED_RESULT;

## Parameters

- `gridfs`: A mongoc_gridfs_t.
- `filter`: A `bson_t` containing the query to execute.
- `opts`: A `bson_t` query options, including sort order and which fields to return. Can be `NULL`.

## Description

Finds all gridfs files matching `filter`. You can iterate the matched gridfs files with the resulting file list.

See mongoc_collection_find_with_opts() for a description of the `filter` and `opts` parameters.

## Returns

A newly allocated mongoc_gridfs_file_list_t that should be freed with mongoc_gridfs_file_list_destroy() when no longer in use.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.